Skip to content
Start here

Enable Sippy

r2.buckets.sippy.update(strbucket_name, SippyUpdateParams**kwargs) -> Sippy
PUT/accounts/{account_id}/r2/buckets/{bucket_name}/sippy

Sets configuration for Sippy for an existing R2 bucket.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
account_id: str

Account ID.

maxLength32
bucket_name: str

Name of the bucket.

maxLength64
minLength3
destination: Optional[R2EnableSippyAwsDestination]

R2 bucket to copy objects to.

access_key_id: Optional[str]

ID of a Cloudflare API token. This is the value labelled “Access Key ID” when creating an API. token from the R2 dashboard.

Sippy will use this token when writing objects to R2, so it is best to scope this token to the bucket you’re enabling Sippy for.

provider: Optional[Provider]
secret_access_key: Optional[str]

Value of a Cloudflare API token. This is the value labelled “Secret Access Key” when creating an API. token from the R2 dashboard.

Sippy will use this token when writing objects to R2, so it is best to scope this token to the bucket you’re enabling Sippy for.

source: Optional[R2EnableSippyAwsSource]

AWS S3 bucket to copy objects from.

access_key_id: Optional[str]

Access Key ID of an IAM credential (ideally scoped to a single S3 bucket).

bucket: Optional[str]

Name of the AWS S3 bucket.

provider: Optional[Literal["aws"]]
region: Optional[str]

Name of the AWS availability zone.

secret_access_key: Optional[str]

Secret Access Key of an IAM credential (ideally scoped to a single S3 bucket).

jurisdiction: Optional[Literal["default", "eu", "fedramp"]]

Jurisdiction where objects in this bucket are guaranteed to be stored.

One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
class Sippy:
destination: Optional[Destination]

Details about the configured destination bucket.

access_key_id: Optional[str]

ID of the Cloudflare API token used when writing objects to this bucket.

account: Optional[str]
bucket: Optional[str]

Name of the bucket on the provider.

provider: Optional[Provider]
enabled: Optional[bool]

State of Sippy for this bucket.

source: Optional[Source]

Details about the configured source bucket.

bucket: Optional[str]

Name of the bucket on the provider (AWS, GCS only).

bucket_url: Optional[str]

S3-compatible URL (Generic S3-compatible providers only).

provider: Optional[Literal["aws", "gcs", "s3"]]
One of the following:
"aws"
"gcs"
"s3"
region: Optional[str]

Region where the bucket resides (AWS only).

Enable Sippy

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sippy = client.r2.buckets.sippy.update(
    bucket_name="example-bucket",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(sippy.destination)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}